Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038375
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2018-04-16 13:252018-05-09 19:30
ReporterdmiguelezView Statuspublic 
Assigned ToAtulOpenbravo 
PrioritynormalResolutionfixedFixed in Version3.0PR18Q3
StatusclosedFix in branchFixed in SCM revisiona1b63a73a71d
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038375: Attribute selector in Task Window has problems with Role with limited access

DescriptionAttribute selector in Task Window has problems with Role with limited access
Steps To ReproduceWith AWO and AWO Sampledata installed

Login as AWO QA Admin

Create a new Role that has access to
Organization: US West Coast
Window: Task

Create a new user and assign it to the previous role

Create a new Purchase Order for US West Coast Organization, Be Soft Business Partner, US West Coast Warehouse
Create a line for Laptop Battery Product with any possitive Ordered Quantity
Book the order and click on Receive button.

Log out and log in with the previously created user

Go to Task window and select the previously created task.
Click on the Confirmed Attribute selector and set any values.
Click ok and check that an error is thrown:

"org.openbravo.base.exception.OBSecurityException: Entity AttributeSet is not readable by the user xyz"
Proposed SolutionIn AttributeSetInstance class

In Line 152. Move the set admin mode sentence from below to before doing
AttributeSet attSet = OBDal.getInstance().get(AttributeSet.class, strAttributeSet);
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0104262)
AtulOpenbravo (developer)
2018-05-03 22:39

Test Plan

- Login as F&B International Group Admin
- Create a new Role "Test 38375" that has access to
  - Organization: F&B US West Coast
  - User: Openbravo
  - Window: Goods Receipt
- Create a new Purchase Order for F&B US West Coast Organization, Be Soft Drinker, Inc Business Partner, US West Coast Warehouse
- Create a line for Product "Orange Juice Bio" with 100 as Ordered Quantity
- Book the order.
- Using Pending Goods Receipt, create a Goods Receipts against Purchase Order.
- Notice Error is raised to set Attribute Set for the product Orance Juice bio.

- Log out and log in with the previously created role "Test 38375"
- Navigate to Goods Receipt and go to line with product "Orance Juice bio".
- Try to set Attribute Set Instance for it with some value in Pop up.
-Realize that Attribute Set is properly set without raising any error as mentioned in the issue.
(0104308)
hgbot (developer)
2018-05-07 14:41

Repository: erp/devel/pi
Changeset: a1b63a73a71d5ce3a86d58f966823e644bacaf54
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Fri May 04 11:31:32 2018 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/a1b63a73a71d5ce3a86d58f966823e644bacaf54 [^]

Fixes Issue 38375: Attribute selector in Task Window has problems
with Role with limited access

Set Admin mode to include piece of code which
accesses AttributeSet objects.

---
M src/org/openbravo/erpCommon/info/AttributeSetInstance.java
---
(0104309)
aferraz (developer)
2018-05-07 14:42

Code review + Testing OK
(0104434)
hudsonbot (developer)
2018-05-09 19:30

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2be7d3efe606 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-04-16 13:25 dmiguelez New Issue
2018-04-16 13:25 dmiguelez Assigned To => dmiguelez
2018-04-17 12:28 ngarcia Issue Monitored: ngarcia
2018-04-18 16:45 dmiguelez Assigned To dmiguelez => Triage Finance
2018-04-19 13:17 vmromanos Project Modules => Openbravo ERP
2018-04-19 13:18 vmromanos Modules => Core
2018-04-19 13:18 vmromanos Triggers an Emergency Pack => No
2018-04-19 13:18 vmromanos Category Advance Warehouse Operations => 00. Application dictionary
2018-04-19 13:18 vmromanos Category 00. Application dictionary => 04. Warehouse management
2018-04-20 11:20 dmiguelez Assigned To Triage Finance => collazoandy4
2018-04-25 10:08 dmiguelez Assigned To collazoandy4 => AtulOpenbravo
2018-05-03 21:00 AtulOpenbravo Status new => scheduled
2018-05-03 22:24 AtulOpenbravo Steps to Reproduce Updated View Revisions
2018-05-03 22:39 AtulOpenbravo Note Added: 0104262
2018-05-07 14:41 hgbot Checkin
2018-05-07 14:41 hgbot Note Added: 0104308
2018-05-07 14:41 hgbot Status scheduled => resolved
2018-05-07 14:41 hgbot Resolution open => fixed
2018-05-07 14:41 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/a1b63a73a71d5ce3a86d58f966823e644bacaf54 [^]
2018-05-07 14:42 aferraz Review Assigned To => aferraz
2018-05-07 14:42 aferraz Note Added: 0104309
2018-05-07 14:42 aferraz Status resolved => closed
2018-05-07 14:42 aferraz Fixed in Version => 3.0PR18Q3
2018-05-09 19:30 hudsonbot Checkin
2018-05-09 19:30 hudsonbot Note Added: 0104434


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker